RIO_UNREGISTER_SCAN(9)

NAME
rio_unregister_scan - removes enumeration/discovery method from mport

SYNOPSIS

int rio_unregister_scan(int mport_id, struct rio_scan * scan_ops);

ARGUMENTS

mport_id
    mport device ID for which fabric scan routine has to be unregistered (RIO_MPORT_ANY = apply to all mports that use the specified scan_ops)

scan_ops
    enumeration/discovery operations structure

DESCRIPTION

Removes enumeration or discovery method assigned to the specified mport device. If RIO_MPORT_ANY is specified, removes the specified operations from all mports that have them attached.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT